Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 445114 - dev-libs/igraph should use pkg-config(1) for blas and lapack (and arpack?)
Summary: dev-libs/igraph should use pkg-config(1) for blas and lapack (and arpack?)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Vadim Kuznetsov (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-28 21:50 UTC by James Cloos
Modified: 2013-02-21 20:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Cloos 2012-11-28 21:50:56 UTC
In order to work with the new blas/lapack setup from the sci overlay, libs and apps must use pkg-config(1) to get the compile args.

Igraph uses AC_CHECK_LIB() in its configure.in.  That needs to be changed to calls to PKG_CHECK_MODULES() in order for the compile to succeed.


Also, the ebuild has arpack, blas and lapack USE flags, but ignores them and hardcodes the econf call to use the external libs.  The latter is, of course, OK but then the flags should be dropped and anything which specifies any of those flags in dependencies update, too.  Fixing this bug would be an opportune time also to fix the useless USE flags.
Comment 1 Justin Lecher gentoo-dev 2013-02-21 20:18:43 UTC
+*igraph-0.6.4 (21 Feb 2013)
+
+  21 Feb 2013; Justin Lecher <jlec@gentoo.org> -igraph-0.5.4.ebuild,
+  +igraph-0.6.4.ebuild, +files/igraph-0.6.4-unbundle.patch, metadata.xml:
+  Version Bump; unbundle correctly and use pkg-config to detect sys libs,
+  #445114; fix tests, #421773; drop old
+